## Package Win32::GUI::Bitmap

Back to the Packages

- Constructor

  - new Win32::GUI::Bitmap(FILENAME, [TYPE, X, Y, FLAGS])

- Methods

  - Create(WIDTH, HEIGHT, PLANES, BPP, DATA)

  - GetDIBits()

  - Info()

### Constructor

new Win32::GUI::Bitmap(FILENAME, [TYPE, X, Y, FLAGS])

  Creates a new Bitmap object reading from FILENAME; all other arguments are optional. TYPE can be:

        0  bitmap (this is the default)
        1  icon
        2  cursor

  You can eventually specify your desired size for the image with X and Y and pass some FLAGS to the underlying LoadImage API (at your own risk)

### Methods

Create(WIDTH, HEIGHT, PLANES, BPP, DATA)

  [TBD]

GetDIBits()

  The GetDIBits function retrieves the bits of the specified bitmap and copies them into a buffer using the specified format.

Info()

  returns a four elements array containing the following information about the bitmap: width, height, color planes, bits per pixel or undef on errors